GEOS: geos::noding::SegmentNode Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::noding::SegmentNode Class Reference

Represents an intersection point between two SegmentString. More...

`#include <SegmentNode.h>`

List of all members.

## Public Member Functions
| SegmentNode (const SegmentString &ss, const geom::Coordinate &nCoord, unsigned int nSegmentIndex, int nSegmentOctant)
| Construct a node on the given SegmentString.
bool | isInterior () const
| Return true if this Node is *internal* (not on the boundary) of the corresponding segment. Currently only the *first* segment endpoint is checked, actually.
bool | isEndPoint (unsigned int maxSegmentIndex) const
int | compareTo (const SegmentNode &other)
## Public Attributes
geom::Coordinate | coord
| the point of intersection (own copy)
unsigned int | segmentIndex
| the index of the containing line segment in the parent edge
## Friends
std::ostream & | operator<< (std::ostream &os, const SegmentNode &n)

## Detailed Description

Represents an intersection point between two SegmentString.

Final class.

Last port: noding/SegmentNode.java rev. 1.5 (JTS-1.7)

## Constructor & Destructor Documentation

geos::noding::SegmentNode::SegmentNode | ( | const SegmentString & | ss,
|  | const geom::Coordinate & | nCoord,
|  | unsigned int | nSegmentIndex,
|  | int | nSegmentOctant |
| ) |  |  |

Construct a node on the given SegmentString.

Parameters:

  | ss | the parent SegmentString
  | coord | the coordinate of the intersection, will be copied
  | nSegmentIndex | the index of the segment on parent SegmentString where the Node is located.
  | nSegmentOctant |

## Member Function Documentation

int geos::noding::SegmentNode::compareTo | ( | const SegmentNode & | other | ) |

Returns:
  -1 this EdgeIntersection is located before the argument location

  0 this EdgeIntersection is at the argument location

  1 this EdgeIntersection is located after the argument location

The documentation for this class was generated from the following file:

- SegmentNode.h